<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Main.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">Main</a> &gt; <span class="el_source">Main.java</span></div><h1>Main.java</h1><pre class="source lang-java linenums">package Main;
import data.CDRRepository;
import data.ICDRRepository;
import data.IPhoneNumberRepository;
import data.PhoneNumberRepository;
import useCases.CalculateCostCDR;
import useCases.ICalculateCostCDR;
import useCases.ILoadAndSaveCDRandNumbersPersistence;
import useCases.ILoadCDRsFromExternalFile;
import useCases.ILoadPhoneNumberFromExternalFile;
import useCases.IShowCDRs;
import useCases.IShowPhoneNumbers;
import useCases.LoadAndSaveCDRandNumbersPersistence;
import useCases.LoadCDRsFromExternalFile;
import useCases.LoadPhoneNumbersFromExternalFile;
import useCases.ShowCDRs;
import useCases.ShowPhoneNumbers;
import Persistence.FileSQL;
import Persistence.IDataPersistence;
import controllers.CDRsController;
import controllers.PhoneNumbersController;

<span class="fc" id="L23">public class Main {</span>
	public static void main(String[] args) {		
		//Starting Repositories
<span class="fc" id="L26">		IPhoneNumberRepository PhonesRepository = new PhoneNumberRepository();</span>
<span class="fc" id="L27">		ICDRRepository CDRsRepository = new CDRRepository();</span>
<span class="fc" id="L28">		IDataPersistence DataPersistence = new FileSQL();</span>
		//Starting boundaries - Interactors (User Cases)
<span class="fc" id="L30">		ILoadAndSaveCDRandNumbersPersistence loadAndSaveCDRandNumbersPersistence = new LoadAndSaveCDRandNumbersPersistence(DataPersistence,CDRsRepository,PhonesRepository);</span>
<span class="fc" id="L31">		ILoadCDRsFromExternalFile loadCDRsFromExternalFile = new LoadCDRsFromExternalFile(CDRsRepository);</span>
<span class="fc" id="L32">		ICalculateCostCDR calculateCostCDR = new CalculateCostCDR(CDRsRepository, PhonesRepository);</span>
<span class="fc" id="L33">		IShowCDRs showCDRs = new ShowCDRs(CDRsRepository);</span>
<span class="fc" id="L34">		IShowPhoneNumbers showPhoneNumbers = new ShowPhoneNumbers(PhonesRepository);</span>
<span class="fc" id="L35">		ILoadPhoneNumberFromExternalFile loadPhoneNumberFromExternalFile = new LoadPhoneNumbersFromExternalFile(PhonesRepository);</span>
		//Creating the Controllers
<span class="fc" id="L37">		CDRsController controllerCDR= new CDRsController(showCDRs, calculateCostCDR, loadCDRsFromExternalFile, loadAndSaveCDRandNumbersPersistence);</span>
<span class="fc" id="L38">		PhoneNumbersController phoneNumbers= new PhoneNumbersController(loadAndSaveCDRandNumbersPersistence,showPhoneNumbers,loadPhoneNumberFromExternalFile);</span>
<span class="fc" id="L39">		controllerCDR.methods();</span>
<span class="fc" id="L40">		phoneNumbers.methods();</span>
<span class="fc" id="L41">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>